Bug 99301 - lilo won't install without redhat-logos
lilo won't install without redhat-logos
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-17 06:41 EDT by Cipriano Groenendal
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cipriano Groenendal 2003-07-17 06:41:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.1.4322)

Description of problem:
Installing lilo with a kickstart, installs it with a default lilo.conf file, 
which includes this line:

message=/boot/message

However, said file is owned by the redhat-logos packages. If you don't install 
that rpm, and the file is not present, lilo will refuse to install with the 
following error:

Fatal: open /boot/message: No such file or directory



Version-Release number of selected component (if applicable):
lilo-21.4.4-20

How reproducible:
Always

Steps to Reproduce:
1. Install redhat with a kickstart that specificly excludes the redhat-logos 
rpm.
2. Install lilo

    

Actual Results:  After installation, there is no lilo installed and linux will 
refuse to start.

Expected Results:  Lilo / Anaconda should not install the message line in the 
lilo.conf if the messagefile is not there, or lilo-[...].rpm should Depend on 
redhat-logos.

Additional info:
Comment 1 Jeremy Katz 2003-07-25 22:53:21 EDT
Fixed in CVS to only put the message line there if the image exists.
Comment 2 Bill Nottingham 2006-08-04 16:39:50 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.